from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XSessionManagerClient(XInterface, Protocol):
    def addSessionManagerListener(self, xListener: XSessionManagerListener) -> None: ...
    def removeSessionManagerListener(self, xListener: XSessionManagerListener) -> None: ...
    def queryInteraction(self, xListener: XSessionManagerListener) -> None: ...
    def interactionDone(self, xListener: XSessionManagerListener) -> None: ...
    def saveDone(self, xListener: XSessionManagerListener) -> None: ...
    def cancelShutdown(self) -> bool: ...
